program contest_project;

uses
  OMEGA,
  u_Init in 'u_Init.pas',
  u_Game in 'u_Game.pas',
  u_Menu in 'u_Menu.pas';

// Главная процедура
  procedure Main;
  begin
    case scene of
    sMenu : Menu_Process;
    sGame : Game_Process;
    end;
  end;

  procedure Init;
  begin
    AllInit;
    Scene := sMenu;
    OE_SetWndName( 'Глук - мега лентяй :D' );
  end;

  procedure Paint;
  begin
    case scene of
    sMenu : Menu_Paint;
    sGame : Game_Paint;
    end;
  end;

  // Процедура выхода
  procedure Exit;
  begin
  end;

  begin
    LoadOMEGA('OMEGA.dll'); // Загружаем ОМЕГУ :)
    Timer := Timer_Create( @Frame_Legs, 50, 0 );
    Main_Timer := Timer_Create (@Main, 5);
    // Регистрируем системыне процедуры
    OE_REGPROCEDURE(SYS_DRAW, @Paint);
    OE_REGPROCEDURE(SYS_QUIT, @EXIT);
    OE_REGPROCEDURE(SYS_INIT, @INIT);
    OE_SetScreenOptions(640, 512, 32, 0, FALSE, FALSE ); // Параметры экрана
    OE_ShowCursor(FALSE); // Скрываем дефольтный виндосовский курсор :)
    OE_INIT; // Запускаем движок
  end.
